rpm 4.11.90

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Typedefs | Functions
Signal Queue API.

## Typedefs
typedef void(* | rpmsqAction_t )(int signum)
| Default signal handler prototype. More...

## Functions
int | rpmsqIsCaught (int signum)
| Test if given signal has been caught (while signals blocked). More...
void | rpmsqAction (int signum)
| Default signal handler. More...
int | rpmsqEnable (int signum, rpmsqAction_t handler)
| Enable or disable a signal handler. More...

## Detailed Description

## Typedef Documentation

typedef void(* rpmsqAction_t)(int signum)

Default signal handler prototype.

Parameters

  signum | signal number
  info | (siginfo_t) signal info
  context | signal context

Definition at line 24 of file rpmsq.h.

## Function Documentation

void rpmsqAction | ( | int | signum | ) |

Default signal handler.

Parameters

  signum | signal number
  info | (siginfo_t) signal info
  context | signal context

int rpmsqEnable | ( | int | signum,
|  | rpmsqAction_t | handler
| ) |  |

Enable or disable a signal handler.

Parameters

  signum | signal to enable (or disable if negative)
  handler | sa_sigaction handler (or NULL to use rpmsqHandler())

Returns
  no. of refs, -1 on error

int rpmsqIsCaught | ( | int | signum | ) |

Test if given signal has been caught (while signals blocked).

Similar to sigismember() but operates on internal signal queue.

Parameters

  signum | signal to test for

Returns
  1 if caught, 0 if not and -1 on error